<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <!-- Custom CSS -->
    <link href="styles.css" rel="stylesheet">

    <title>Twitter-like Followings Page</title>
</head>
<body>
<!-- Navigation Bar -->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container">
        <a class="navbar-brand" href="/">Twitter-like</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="/">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/explore">Explore</a>
                </li>
            </ul>
            <form class="form-inline my-2 my-lg-0">
                <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                       data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-user"></i> Profile
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="/profile">My Profile</a>
                        <a class="dropdown-item" href="/settings">Settings</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="/logout">Logout</a>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="container mt-5">
    <div class="row">
        <div class="col-md-6 mx-auto">
            <div class="card">
                <div class="card-header">
                    <h3 class="text-center">Followings</h3>
                </div>
                <ul class="list-group list-group-flush">
                    <!-- Example following -->
                    <li class="list-group-item">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="profile-image">
                                <img src="https://secure.gravatar.com/avatar/40d4f7ccf1ddd071f41d949588fc3303?s=48&d=identicon" alt="User Image" class="img-fluid rounded-circle" width="48">
                            </div>
                            <div class="profile-info">
                                <h5>Bob Smith</h5>
                                <p>@bobsmith</p>
                            </div>
<!--                          remember that this is button only for profile owner, instead you should show subscribe button-->
                            <button class="btn btn-danger">Unsubscribe</button>
                        </div>
                    </li>

                    <!-- Example following -->

                    <li class="list-group-item">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="profile-image">
                                <img src="https://secure.gravatar.com/avatar/40d4f7caf1ddd071f41d949528fc3303?s=48&d=identicon" alt="User Image" class="img-fluid rounded-circle" width="48">
                            </div>
                            <div class="profile-info">
                                <h5>Alice Johnson</h5>
                                <p>@alicejohnson</p>
                            </div>
                            <button class="btn btn-danger">Unsubscribe</button>
                        </div>
                    </li>

                    <!-- Example following -->
                    <li class="list-group-item">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="profile-image">
                                <img src="https://secure.gravatar.com/avatar/40d4f7caf1ddd071f41d949588fc3303?s=48&d=identicon" alt="User Image" class="img-fluid rounded-circle" width="48">
                            </div>
                            <div class="profile-info">
                                <h5>John Doe</h5>
                                <p>@johndoe</p>
                            </div>
                            <button class="btn btn-danger">Unsubscribe</button>
                        </div>
                    </li>

                </ul>
            </div>
        </div>
    </div>

</div>
<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>